Zimbra 9 - FOSS

Discuss your pilot or production implementation with other Zimbra admins or our engineers.
User avatar
ianw1974
Advanced member
Advanced member
Posts: 130
Joined: Sat Sep 13, 2014 12:45 am
Location: UK and Poland
ZCS/ZD Version: Zimbra OSE 8.8.15_GA_4059
Contact:

Re: Zimbra 9 - FOSS

Postby ianw1974 » Wed Jul 21, 2021 3:59 pm

Let's hope so! Fingers crossed.


paulchinky50
Posts: 1
Joined: Thu Jul 22, 2021 10:21 am

Re: Zimbra 9 - FOSS

Postby paulchinky50 » Thu Jul 22, 2021 10:29 am

I would also like to thank manens for providing these builds and being part of the community although I'm disappointed there's no build for CentOS8. :) mobdro
Last edited by paulchinky50 on Tue Aug 17, 2021 7:53 am, edited 1 time in total.
mtk
Posts: 31
Joined: Sat Jun 21, 2014 1:00 am

Re: Zimbra 9 - FOSS

Postby mtk » Wed Jul 28, 2021 6:37 pm

Hi everyone,

not sure whether to post into this thread or it's a non-FOSS issue. So bear with me...

I am running Release 9.0.0.ZEXTRAS.202007114.UBUNTU18.64 UBUNTU18_64 FOSS edition, Patch 9.0.0_P14 am concerned it does not find any more recent updates through repo.zimbra.com, saying e.g.

Code: Select all

root@zcs:~# apt install zimbra-patch
Reading package lists... Done
Building dependency tree
Reading state information... Done
zimbra-patch is already the newest version (9.0.0.1618926120.p14-1.u18).

Of course I did issue apt update before, and Ubuntu updates are running fine that way.
Is that normal, or did I miss a bit or mess up something ?

E: Just found another thread discussing this - sorry, just ignore or delete my post.
User avatar
dominix
Posts: 36
Joined: Sat Sep 13, 2014 1:07 am
Location: Pacific sud
ZCS/ZD Version: 7.2.7 ... 8.8.12
Contact:

Re: Zimbra 9 - FOSS

Postby dominix » Sun Aug 15, 2021 5:58 pm

ZImbra 9 OSE is no more maintained.

Starting from p15, zimbra-*-patch packages have been moved away from the OSE repository. Furthermore, the new patch introduces some NE dependencies, making it incompatible with the current OSE installation, hence preventing OSE users to perform the update.

I guess Zimbra will no more support OSE, go for Kopano is a better bet.
User avatar
maumar
Outstanding Member
Outstanding Member
Posts: 384
Joined: Fri Sep 12, 2014 10:28 pm

Re: Zimbra 9 - FOSS

Postby maumar » Fri Aug 20, 2021 4:21 pm

ianw1974 wrote:Hi @alex70

The script automates all the manual steps you would have to complete using the zm-build github. So it makes things really easy. So the steps would be:



Hello, very very great job, you are great!
I have just finisch to build tgz for Rocky, and what I did was:

very ugly:

Code: Select all

diff /etc/redhat-release_rocky /etc/redhat-release
1c1
< Rocky Linux release 8.4 (Green Obsidian)
---
> Red Hat Enterprise Linux release 8.4 (Ootpa)


then:

Code: Select all

dnf groupinstall "Development Tools"
dnf install wget git

# dnf --enablerepo=powertools install ant-junit
Last metadata expiration check: 0:00:03 ago on Fri 20 Aug 2021 04:52:07 PM CEST.
All matches were filtered out by modular filtering for argument: ant-junit
Error: Unable to find a match: ant-junit
dnf module provides ant-junit
Last metadata expiration check: 0:03:25 ago on Fri 20 Aug 2021 04:52:07 PM CEST.
ant-junit-1.10.5-1.module+el8.3.0+74+855e3f5d.noarch
Module   : javapackages-tools:201801:8030020210424203036:82c16c76:x86_64
Profiles :
Repo     : powertools
Summary  : Tools and macros for Java packaging support
16:55:33 root@zimbra: ~/zm-build/zimbra-build-scripts # dnf module list javapackages-tools
Last metadata expiration check: 0:04:17 ago on Fri 20 Aug 2021 04:52:07 PM CEST.
Rocky Linux 8 - PowerTools
Name                                                       Stream                                         Profiles                                        Summary                                                                           
javapackages-tools                                         201801                                         common                                          Tools and macros for Java packaging support                                       

Hint: [d]efault, [e]nabled, [x]disabled, [i]nstalled
16:56:25 root@zimbra: ~/zm-build/zimbra-build-scripts # dnf module enable  javapackages-tools
Last metadata expiration check: 0:04:38 ago on Fri 20 Aug 2021 04:52:07 PM CEST.
Dependencies resolved.

Is this ok [y/N]: y
Complete!

16:57:16 root@zimbra: ~/zm-build/zimbra-build-scripts # yum install ant-junit
Last metadata expiration check: 0:05:38 ago on Fri 20 Aug 2021 04:52:07 PM CEST.
Dependencies resolved.
Installing dependencies:
ant                                                           noarch                                      1.10.5-1.module+el8.3.0+74+855e3f5d                                        powertools                                      192 k
ant-lib                                                       noarch                                      1.10.5-1.module+el8.3.0+74+855e3f5d                                        powertools                                      2.0 M
giflib                                                        x86_64                                      5.1.4-3.el8                                                                appstream                                        50 k
hamcrest-core                                                 noarch                                      1.3-23.module+el8.3.0+74+855e3f5d                                          powertools                                       58 k
java-1.8.0-openjdk                                            x86_64                                      1:1.8.0.302.b08-0.el8_4                                                    appstream                                       335 k
java-1.8.0-openjdk-devel                                      x86_64                                      1:1.8.0.302.b08-0.el8_4                                                    appstream                                       9.8 M
javapackages-tools                                            noarch                                      5.3.0-2.module+el8.3.0+125+5da1ae29                                        appstream                                        43 k
junit                                                         noarch                                      1:4.12-9.module+el8.3.0+74+855e3f5d                                        powertools                                      299 k
ttmkfdir                                                      x86_64                                      3.0.9-54.el8                                                               appstream                                        61 k
xorg-x11-fonts-Type1                                          noarch                                      7.5-19.el8                                                                 appstream                                       521 k

[snip]

Installed:
ant-1.10.5-1.module+el8.3.0+74+855e3f5d.noarch           ant-junit-1.10.5-1.module+el8.3.0+74+855e3f5d.noarch   ant-lib-1.10.5-1.module+el8.3.0+74+855e3f5d.noarch        giflib-5.1.4-3.el8.x86_64                                     
hamcrest-core-1.3-23.module+el8.3.0+74+855e3f5d.noarch   java-1.8.0-openjdk-1:1.8.0.302.b08-0.el8_4.x86_64      java-1.8.0-openjdk-devel-1:1.8.0.302.b08-0.el8_4.x86_64   javapackages-tools-5.3.0-2.module+el8.3.0+125+5da1ae29.noarch 
junit-1:4.12-9.module+el8.3.0+74+855e3f5d.noarch         ttmkfdir-3.0.9-54.el8.x86_64                           xorg-x11-fonts-Type1-7.5-19.el8.noarch                   

Complete!

17:02:38 root@zimbra: ~/zm-build/zimbra-build-scripts # yum install ant ant-junit --skip-broken
Last metadata expiration check: 0:10:40 ago on Fri 20 Aug 2021 04:52:07 PM CEST.
Package ant-1.10.5-1.module+el8.3.0+74+855e3f5d.noarch is already installed.
Package ant-junit-1.10.5-1.module+el8.3.0+74+855e3f5d.noarch is already installed.
Dependencies resolved.
Nothing to do.
Complete!

then manually:

dnf -y install ruby maven wget rpm-build createrepo



User avatar
ianw1974
Advanced member
Advanced member
Posts: 130
Joined: Sat Sep 13, 2014 12:45 am
Location: UK and Poland
ZCS/ZD Version: Zimbra OSE 8.8.15_GA_4059
Contact:

Re: Zimbra 9 - FOSS

Postby ianw1974 » Fri Aug 20, 2021 7:26 pm

Yes, better is:

Code: Select all

./build.pl --build-os=RHEL8_64 --build-arch=x86_64 --pkg-os-tag=r8


since this will override what it would find in /etc/redhat-release or via lsb_release. Only problems come later when you attempt to install it. It will not install the packages it requires from Zimbra Repository and the zm-build process doesn't build these packages. Even if attempting to install without using the Zimbra repositories (as this is an option to choose y/n), it still didn't work. I haven't found a way around this, and would probably need a lot more dev work to get Rocky to work. But also, if we cannot install the supposed dependencies that come from the Zimbra Repository, without the repository, then it will make it much harder for supporting distros that aren't offered by default for Zimbra OSE. I find it strange that the option to use or not use the Zimbra Repository exists, since you have to use it anyway. At least with what I built for 9.x anyhow.

So I've mostly given up on this really, these repo dependencies shouldn't exist. They should be freely available to use standalone or to build separately with the zm-build process so that you are not forced to rely on the Zimbra repository.
User avatar
maumar
Outstanding Member
Outstanding Member
Posts: 384
Joined: Fri Sep 12, 2014 10:28 pm

Re: Zimbra 9 - FOSS

Postby maumar » Mon Aug 23, 2021 8:25 am

ianw1974 wrote:Yes, better is:

Code: Select all

./build.pl --build-os=RHEL8_64 --build-arch=x86_64 --pkg-os-tag=r8


since this will override what it would find in /etc/redhat-release or via lsb_release. Only problems come later when you attempt to install it. It will not install the packages it requires from Zimbra Repository and the zm-build process doesn't build these packages.

Very very thnx for your hint!
I was able to build answering y to use zimbra repo and now it's running
I dunno why I was able to get it installed but you don't.
Where it breaks?
User avatar
ianw1974
Advanced member
Advanced member
Posts: 130
Joined: Sat Sep 13, 2014 12:45 am
Location: UK and Poland
ZCS/ZD Version: Zimbra OSE 8.8.15_GA_4059
Contact:

Re: Zimbra 9 - FOSS

Postby ianw1974 » Mon Aug 23, 2021 8:33 am

Probably as you edited redhat-release. I tried building without changing such files and then packages from zimbra repo dont install because of it being Rocky instead of RedHat. Even when providing platform-override as an option.
User avatar
maumar
Outstanding Member
Outstanding Member
Posts: 384
Joined: Fri Sep 12, 2014 10:28 pm

Re: Zimbra 9 - FOSS

Postby maumar » Mon Aug 23, 2021 2:07 pm

ianw1974 wrote:Probably as you edited redhat-release. I tried building without changing such files and then packages from zimbra repo dont install because of it being Rocky instead of RedHat. Even when providing platform-override as an option.

I confirm, there is no way to build without changing redhat-release content
and w/out chenging much stuff than only one file, that is to lie, sadly
tom11011
Posts: 23
Joined: Sat Sep 13, 2014 2:52 am

Re: Zimbra 9 - FOSS

Postby tom11011 » Wed Sep 15, 2021 5:54 pm

Hi everyone, confused a little by what I am reading here on the last page. It sounds like Zimbra open source is no longer?

I have a mailserver running zimbra 8 open source on Centos 6 that I need to do something with. I would like to move to Ubuntu because of Centos's demise, but Zimbra won't run on the latest supported version of Ubuntu now.

What would you recommend for me? thx

Return to “Administrators”

Who is online

Users browsing this forum: zimico and 31 guests